%global npm_name component-emitter
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 1.2.1
Release: %mkrel 5
Summary: Event emitter
License: MIT
Group: Development/Other
URL: https://github.com/component/emitter#readme
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc History.md
%doc Readme.md



%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.2.1-5.mga10
+ Revision: 2208203
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 1.2.1-4.mga9
+ Revision: 1818380
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.2.1-3.mga8
+ Revision: 1502489
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.2.1-2.mga7
+ Revision: 1280196
- Mageia 7 Mass Rebuild

* Thu May 03 2018 kekepower <kekepower> 1.2.1-1.mga7
+ Revision: 1225584
- imported package nodejs-component-emitter

